---
title: border-left-color
slug: Web/CSS/border-left-color
tags:
  - CSS
  - CSS Borders
  - CSS Property
  - Reference
  - 'recipe:css-property'
---
<div>{{CSSRef}}</div>

<p><span class="seoSummary">The <strong><code>border-left-color</code></strong> CSS property sets the color of an element's left <a href="/en-US/docs/Web/CSS/border">border</a>.</span> It can also be set with the shorthand CSS properties {{cssxref("border-color")}} or {{cssxref("border-left")}}.</p>

<div>{{EmbedInteractiveExample("pages/css/border-left-color.html")}}</div>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: css no-line-numbers  language-css notranslate">/* &lt;color&gt; values */
border-left-color: red;
border-left-color: #ffbb00;
border-left-color: rgb(255, 0, 0);
border-left-color: hsla(100%, 50%, 25%, 0.75);
border-left-color: currentcolor;
border-left-color: transparent;

/* Global values */
border-left-color: inherit;
border-left-color: initial;
border-left-color: unset;
</pre>

<p>The <code>border-left-color</code> property is specified as a single value.</p>

<h3 id="Values">Values</h3>

<dl>
 <dt>{{cssxref("&lt;color&gt;")}}</dt>
 <dd>The color of the left border.</dd>
</dl>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{CSSInfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="A_simple_div_with_a_border">A simple div with a border</h3>

<h4 id="HTML">HTML</h4>

<pre class="brush: html notranslate">&lt;div class="mybox"&gt;
  &lt;p&gt;This is a box with a border around it.
     Note which side of the box is
     &lt;span class="redtext"&gt;red&lt;/span&gt;.&lt;/p&gt;
&lt;/div&gt;</pre>

<h4 id="CSS">CSS</h4>

<pre class="brush: css notranslate">.mybox {
    border: solid 0.3em gold;
    border-left-color: red;
    width: auto;
}

.redtext {
    color: red;
}</pre>

<h4 id="Result">Result</h4>

<p>{{EmbedLiveSample('A_simple_div_with_a_border')}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSS3 Backgrounds', '#propdef-border-left-color', 'border-left-color')}}</td>
   <td>{{Spec2('CSS3 Backgrounds')}}</td>
   <td>No significant changes, though the <code>transparent</code> keyword, now included in {{cssxref("&lt;color&gt;")}} which has been extended, has been formally removed.</td>
  </tr>
  <tr>
   <td>{{SpecName('CSS2.1', 'box.html#propdef-border-left-color', 'border-left-color')}}</td>
   <td>{{Spec2('CSS2.1')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.properties.border-left-color")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>The border-related CSS shorthand properties: {{Cssxref("border")}}, {{Cssxref("border-left")}}, and {{Cssxref("border-color")}}.</li>
 <li>The color-related CSS properties for the other borders: {{Cssxref("border-right-color")}}, {{Cssxref("border-bottom-color")}}, and {{Cssxref("border-top-color")}}.</li>
 <li>The other border-related CSS properties applying to the same border: {{cssxref("border-left-style")}} and {{cssxref("border-left-width")}}.</li>
</ul>
